<?php

  date_default_timezone_set('America/Costa_Rica');

	include ("../conexion.php");
	
$cdglin="";
$cdgfam=$_GET["Familia"];

//if ( $cdgfam==""){ $cdgfam=""; $cdglin=""; } else  { $cdgfam=$_GET["Familia"]; }

$fechainicio=$_GET["fechainicio"];
$fechafin=$_GET["fechafin"];

 $fechainicio= implode("-", array_reverse(explode("-", $fechainicio))); 
$fechafin= implode("-", array_reverse(explode("-", $fechafin))); 


$where="1=1";
//if ($cdglin <> "") { $where.=" AND factulinea.cdglin='$cdglin'"; }
if ($cdgfam <> "") { $where.=" AND factulinea.cdgfam='$cdgfam'"; }

if (($fechainicio<>"") and ($fechafin<>"")) {
	 $where.=" AND factulinea.fecfac between '".$fechainicio."' AND '".$fechafin."'";
} else {
	if ($fechainicio<>"") {
	 	$where.=" AND factulinea.fecfac >='".$fechainicio."'";
	} else {
		if ($fechafin<>"") {
		$where.=" AND factulinea.fecfac <='".$fechafin."'";
		}
	}
}




if ($cdgfam=="") {
	 
	$dscfam="TODAS LAS FAMILIAS";
	 
	     } else {

		
					$query_facturas = "SELECT * FROM familias WHERE cdgfam=$cdgfam ";
					$rs_facturas = $mysqli->query($query_facturas);
					$row = $rs_facturas->fetch_assoc();
					
					$dscfam = $row["dscfam"];
		
		
     }	
	 
	 
	echo  $dscfam ;
	 
$totalfacturas=0;
  
  if ($result = $mysqli->query("SELECT * FROM factulinea WHERE  borrado=0  AND ".$where)) {
   $filas = $result->num_rows;
   $result->close();
}



	

echo $horaactual = date("h:i:s A");

   
    $consulta = "SELECT * FROM web_0000 ";
	$resultado = $mysqli->query($consulta);
	$fila = $resultado->fetch_array();

         $nomcom = $fila["NOMCOM"];
	     $razsoc = $fila["RAZSOC"];
		 $cedjur = $fila["CEDJUR"];
		 $diremp = $fila["DIREMP"];
		 $numtel_empresa = $fila["NUMTEL"];
		 $numofi = $fila["numofi"];
		 $menfac = $fila["menfac"];
         $intmor = $fila["INTMOR"];
		 $tipimp = $fila["TIPIMP"];
		 $ter001 = $fila["TER001"];
		 $ter002 = $fila["TER002"];
		 $ter003 = $fila["TER003"];
		 
		 
		 

$ip = $_SERVER["REMOTE_ADDR"];

if ($ip=="127.0.0.1"){

echo $puerto="LPT1";

  } else {
  
echo $puerto="LPT1";



  }  



if(($handle = @fopen($puerto, "w")) === FALSE){

        die('No se puede Imprimir, Verifique la conexion con la IMPRESORA'); // Revisa la conexion con la impresora
    }
setlocale(LC_TIME, 'spanish');





fwrite($handle,chr(27). chr(64));//reinicio


//Salida: viernes 24 de febrero del 2012

if ($tipimp=="MATRIX"){  //  ************************Si la impresora es TIPO MATRIX ****************************/////////////// 



}      //**********************************  Cierra tipo de impresora matrix ****************************************//


if ($tipimp=="TERMICA"){  //  ************************Si la impresora es TIPO TERMICA ****************************///////////////



fwrite($handle,chr(27). chr(64));//reinicio


//Salida: viernes 24 de febrero del 2012


fwrite($handle, chr(27). chr(112). chr(48));//ABRIR EL CAJON
fwrite($handle, chr(27). chr(32). chr(1));//ESTACIO ENTRE 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, chr(27). chr(33). chr(56));//ESTACIO ENTRE LETRAS
//fwrite($handle, chr(27). chr(72). chr(5));//Color Rojo

fwrite($handle, "  ".$nomcom);

fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(33). chr(0));//ESTACIO ENTRE LETRAS
//fwrite($handle, chr(27) +"3"+ chr(17));//interlienaso
//fwrite($handle, chr(27). chr(72). chr(0));//Color Rojo
fwrite($handle, chr(27). chr(3). chr(17));//salto de linea VACIO
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 
fwrite($handle,  "    ".$razsoc);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"    Cedula : ". $cedjur);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,  "    ".$diremp);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"    Tel. ".$numtel_empresa);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"    --------------------------------------------");

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, chr(27). chr(33). chr(8));//ESTACIO ENTRE LETRAS

$recibo = "VENTAS POR FAMILIA";

fwrite($handle, $recibo );
fwrite($handle, chr(27). chr(33). chr(0));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *revisar *******
fwrite($handle, chr(27). chr(97). chr(0));//izquierda
//$CAJERO = str_pad("    Cajero: " .$Vendedor ,27);
fwrite($handle,"    Fecha del: ".$_GET["fechainicio"]." Al ".$_GET["fechafin"]);



fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//izquierda
fwrite($handle, chr(27). chr(33). chr(8));//ESTACIO ENTRE LETRAS
$dscfam = substr($dscfam." ", 0,30);
fwrite($handle,"    FAMILIA: " . $cdgfam ."-".$dscfam);

/*
fwrite($handle, chr(27). chr(33). chr(0));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//izquierda
fwrite($handle, $CAJERO);
*/

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"    --------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
fwrite($handle,"     Cant.  ". "  Articulo"."             ");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"    --------------------------------------------");
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *************
fwrite($handle, chr(27). chr(97). chr(0));//IzquierdERRORERR21++a
fwrite($handle, chr(27). chr(97). chr(2));//Derecha


$Grantotal = 0;
				$consulta = "SELECT SUM(mondes) AS mondes, SUM(importe) AS importe, SUM(impuesto) AS impuesto, SUM(cantidad) AS cantidad, factulinea.cdgfam, factulinea.borrado, factulinea.codigo, web_1001.dscart, factulinea.fecfac , familias.dscfam FROM factulinea,familias, web_1001 WHERE web_1001.cdgbar=factulinea.codigo AND factulinea.cdgfam=familias.cdgfam AND factulinea.borrado=0   AND ".$where. " GROUP BY  factulinea.codigo  ORDER BY  factulinea.cdgfam,  factulinea.dscart ASC " ;
if ($resultado = $mysqli->query($consulta)) 

 
    while ($fila = $resultado->fetch_assoc()) {
        $importe   = $fila["importe"];
        $mondes    = $fila["mondes"];
        $impuesto  = $fila["impuesto"];
		$codigo    = $fila["codigo"];
		$dscart    = $fila["dscart"];
		$cantidad  = $fila["cantidad"];

	    $total = $importe -  $mondes + $impuesto ;
		
		
		$Grantotal = $total + $Grantotal;



	  $codigo = str_pad($cdgbar, 15);
	$canart = str_pad($cantidad, 8); 
	
	

    $acotado = substr("   ".$dscart." ", 0, 30); 
   fwrite($handle, chr(27). chr(97). chr(0));//Izquierda	
   fwrite($handle,"     ". $canart ."".  $acotado);	
 

  // fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
  // fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
   // fwrite($handle,$acotado);	
   fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

						
				
				 } 
				 
				 
//fwrite($handle, chr(27). chr(97). chr(1));//centrado
//fwrite($handle,"                                     -----------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
fwrite($handle, chr(27). chr(33). chr(24));//ESTACIO ENTRE LETRAS


//$total_neto=number_format($Grantotal,2,".",",");
//$total=sprintf("%13s",$total_neto) ;
//fwrite($handle,"       TOTAL NETO:");
//fwrite($handle, chr(27). chr(97). chr(2));//Derecha
//fwrite($handle, $total) ;	

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(29). chr(86). chr(49));//Corta el Papel


 }///////////////////////////////////////   CIERRA IMPRESION TERMICA  ///////////////////////////////////////////
		
fclose($handle); // cierra el fichero PRN

///////////////////////////////////////////////////  WINDOWS 11   /////////////////////////////////////////////////////

//echo system('imprimir_LPT1');

///////////////////////////////////////////////////  WINDOWS 10   /////////////////////////////////////////////////////

$salida = shell_exec('lpr $puerto'); //lpr->puerto impresora, imprimir archivo PRN

///////////////////////////////////////////////////  WINDOWS 10   /////////////////////////////////////////////////////


echo "<script languaje='javascript' type='text/javascript'>window.close();</script>";



///////////////////////////////////////////////////  WINDOWS 10   /////////////////////////////////////////////////////

////////////////////////////////
?>

 